<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES . 'templates/admin_header.php';

pageAccess('NAVI');
$locale = fusion_get_locale('', NAVI_LOCALE);
$settings = get_settings('vertical_navigation_panel');

add_to_title($locale['vertical_navigation_panel_title']);

add_breadcrumb(['link' => INFUSIONS . 'vertical_navigation_panel/admin.php' . fusion_get_aidlink(), 'title' => $locale['vertical_navigation_panel_title']]);

if (isset($_POST['save_settings'])) {
	$settings = [
		'color_tlo' 			=> form_sanitizer($_POST['color_tlo'], '', 'color_tlo'),
		'color_obw' 		 	=> form_sanitizer($_POST['color_obw'], '', 'color_obw'),
		'color_sep' 		 	=> form_sanitizer($_POST['color_sep'], '', 'color_sep'),
		'color_menu' 			=> form_sanitizer($_POST['color_menu'], '', 'color_menu'),
		'color_menup' 		 	=> form_sanitizer($_POST['color_menup'], '', 'color_menup'),
		'color_menuc' 	 		=> form_sanitizer($_POST['color_menuc'], '', 'color_menuc'),
		'color_menucp' 	 		=> form_sanitizer($_POST['color_menucp'], '', 'color_menucp'),
		'menu_naglowek_y_n'   	=> post('menu_naglowek_y_n') ? 1 : 0,

	];

	if (\defender::safe()) {
		foreach ($settings as $settings_name => $settings_value) {
			$db = [
				'settings_name'  => $settings_name,
				'settings_value' => $settings_value,
				'settings_inf'   => 'vertical_navigation_panel'
			];

			dbquery_insert(DB_SETTINGS_INF, $db, 'update', ['primary_key' => 'settings_name']);
		}

		addNotice('success', $locale['vertical_navigation_panel_notice']);
		redirect(FUSION_REQUEST);
	}
}

opentable($locale['vertical_navigation_panel_title']);
echo openform('vertical_navigation_panel_settings', 'post', FUSION_REQUEST);
echo "<table>";
//-1
echo "<tr>";
echo "<td>";
echo form_colorpicker('color_tlo', $locale['vertical_navigation_panel_10'], $settings['color_tlo'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_obw', $locale['vertical_navigation_panel_20'], $settings['color_obw'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_sep', $locale['vertical_navigation_panel_30'], $settings['color_sep'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_menu', $locale['vertical_navigation_panel_40'], $settings['color_menu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-2
echo "<tr>";
echo "<td>";
echo form_colorpicker('color_menup', $locale['vertical_navigation_panel_50'], $settings['color_menup'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_menuc', $locale['vertical_navigation_panel_60'], $settings['color_menuc'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_menucp', $locale['vertical_navigation_panel_70'], $settings['color_menucp'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";

echo "</td>";
echo "</tr>";
//-3
echo "<tr>";
echo "<td>";
echo form_checkbox('menu_naglowek_y_n', $locale['vertical_navigation_panel_80'], $settings['menu_naglowek_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "<td>";

echo "</td>";
echo "<td>";

echo "</td>";
echo "<td>";

echo "</td>";
echo "</tr>";
//-koniec
echo "<tr>";
echo "<td colspan='4' width='80%'>";
echo "";
echo "</td>";
echo "</tr>";
echo "</table>";
echo form_button('save_settings', $locale['save'], $locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o']);
echo closeform();
closetable();

require_once THEMES . 'templates/footer.php';